Ubuntu

[regression] Nvidia 295.40: Unity 3D does not work at all with the new nvidia driver

Reported by Sven on 2012-04-15
This bug affects 196 people
Affects Status Importance Assigned to Milestone
NVIDIA Drivers Ubuntu
Undecided
Unassigned
Unity
High
Unassigned
nvidia-graphics-drivers (Ubuntu)
High
Alberto Milone
nvidia-graphics-drivers-updates (Ubuntu)
High
Alberto Milone
Precise
Undecided
Unassigned

Bug Description

After update of the NVIDIA driver to version 295.40 the unity 3d desktop does not work.
I am using a GeForce 6200 on a i386 architecture Ubuntu 12.04 beta.

Sven (sdiedrichsen) on 2012-04-15
description: updated
description: updated
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in nvidia-graphics-drivers-updates (Ubuntu):
status: New → Confirmed
Fred Palmer (oldfred) wrote :

In my case with fallback mode and 3d the close, min, max buttons totally disappeared. Only when I changed to 2d mode did icons reappear.

Terry Jones (terryjones1983) wrote :

This bug hasn't affected 12.04 beta 2 64bit. I have tried to replicate it on two seperate machines.

Machine 1 (GTX470) Running 12.04 beta 2 with all latest updates - Working Fine
Machine 2 (GTX260) Running 12.04 beta 2 with all latest updates - Working Fine

Must be limited to i386? Can Anyone confirm?

Alberto Milone (albertomilone) wrote :

Please type the following command:
sudo nvidia-bug-report.sh

and attach your "nvidia-bug-report.log" file, which you will find in your home directory

In my case all machines are running Ubuntu 64-Bit.
I have attached nvidia-bug-report.log.

Thanks,
Effenberg

Charles Profitt (cprofitt) wrote :
Changed in nvidia-graphics-drivers-updates (Ubuntu):
status: Confirmed → Triaged
Charles Profitt (cprofitt) wrote :

Terry Jones:

My installation is 64bit and it has affected me.

Cristian Arezzini (macavity80) wrote :

Affects me too, Unity3D does not work, 2d does. Running 12.04 64bit. Running "Unity --reset" from tty1 ends in a segfault.

Alberto Milone (albertomilone) wrote :

@Daniel, any ideas about this issue?

Alberto Milone (albertomilone) wrote :

@everyone: can you also attach your ~/.xsession-errors after trying to start unity 3D, please?

There seems to be 2 different situations in current reports and latest posts at forums:

1) Very slow GL performance. Unity 3D session varies from barely usable (more powerful VGA cards) to unusable session (low-end card - session simply stalls). No crash of Compiz / Unity Plugin. The Unity 2D session is normal. Unity --reset, or creating a new user with default settings and logging in, doesn't fix the problem.

2) Compiz simply crashes when Unity (3D) session is loaded, right after a succesful login in lightdm. The segfault is visible via logs. Since it crashes, there won't be a launcher, global panel, indicator on the desktop (no Compiz == no Unity Plugin loaded). The 2D session works fine.

As a test, have you people tried installing some previous version of NVidia driver? I have tried 295.33 only, and reached the very same results. I will test 295.20 still today as soon as I can.

You can get previous NVidia drivers versions at http://www.nvidia.com/Download/Find.aspx?lang=en-us or via ftp download.nvidia.com.

In order to test / install a previous driver version:
1) Download the driver to a known directory (~/Downloads, for example)
2) Press Ctrl+Alt+F6 to switch to another Virtual Terminal and login with your User/Password
3) Run "sudo service lightdm stop" (or NVidia installer will not run, because there's an active X session)
4) Run "cd ~/Downloads && sudo chmod +x ~/Downloads/NVIDIA-Linux-x86_64-295.33.run" (if that's the version you have downloaded, to make the installer executable)
5) Run "sudo ./NVIDIA-Linux-x86_64-295.33.run" and press "OK" to all installer questions (default options)
6) As the installer finishes, run "sudo reboot now" to reboot the machine.
7) At lightdm, login to Unity 3D and verify if there was any change or improvement.

Also:
- Make sure you are not running nouveau. You can check if nouveau is loaded by running "lsmod | grep -i nouveau". It should display no results.
- Make sure your currently loaded NVidia kernel module is the same version as the installed drivers. You can check that nvidia Kernel module is is loaded with "lsmod | grep -i nv". If you installed NVidia drivers from the proprietary/binary installer from NVidia website/FTP it should output "nvidia". If you have NVidia installed from Ubuntu repos (pakage nvidia-current) it should output nvidiafb. To check the Kernel module version, use "modinfo nvidia" or "modinfo nvidiafb". It should output "version: <version number> along with other module details. This version should match the drivers you installed.

I'm not sure this is NVidia related. If everyone could try previous (known to work) versions of NVidia drivers, it could be very helpful for properly triaging this bug. I recommend testing 295.20 and previous ones.

If anyone needs help with these procedures, start a thread at UbuntuForums in the Ubuntu+1 sub-forum.

Feel free to contact me for any further info.

Regards,
Effenberg

Here's my $HOME/.xsession-errors (attached).

Thanks,
Effenberg

avb (avbweb) wrote :

With version 295.40 my Unity 3D desktop was practically unusable. Had to switch back to 295.33 with deb file from ubuntu-x-swat ppa.

Daniel Dadap (ddadap) wrote :

Are the other affected users also running GeForce 6200 or similar boards?

As an experiment, try reverting the security patch here: ftp://download.nvidia.com/XFree86/patches/security/CVE-2012-0946/

You should be able to do this without reinstalling the whole driver by manually reverting the patch in /usr/src/nvidia-current-295.40 and then rebuilding just the kernel module using DKMS. (May want to have X stopped / module unloaded while doing this.)

GeForce 6xxx series isn't susceptible to the vulnerability.

I am running 3 machines (desktops) with NVidias: : GT9500 and GT9600 (dead slow, unusable, but no compiz crashes) and one with GTS450 (slow, but usable, because the VGA Card is much more powerful, no compiz crashes). I have just tested NVidia 295.20 and have the same problem. All desktops are powerful ones: AMD Phenom II X6, 6-cores, @3.4GHz, 16GB Ram. I have never seen they running slow, no matter the load.

I have also noticed one new thing: All cads are running hotter than normal (I noticed the fan noises). They can't move from "performance mode" to "adaptive mode". It's like if they all PCs were running something very heavy. But they are not.

Regards,
Effenberg

Daniel Dadap (ddadap) wrote :

Effenberg, I think you're experiencing a different set of problems than the original reporters, who have a regression in 295.40 compared to 295.33.

What's your display configuration? If you have multiple large displays, or multiple displays with different resolutions, it is sometimes necessary to stay in the maximum performance state at all times. Is your GPU still unable to clock down if you use a single display, possibly at a lower resolution?

asasoft (asasoft) wrote :

Ubuntu 12.04 64bits CD2 Nvidia 9500 (nvidia-current)
Poor (unusable) perfomance with opengl (games/apps) on both modes Unity/2d , no crashes.

@Daniel

I have tried many configurations, from a single monitor (19") to 3 monitors (including large LCDs - 22", 40", 42", and different resolutions), and haven't noticed any difference any improvement or change, for good or bad, in performance. Performance used to be blazing fast, with and without external monitors, until the updates of Apr 15th. I've been testing this same hardware from OO Alpha to now, wen't through many NVidia drivers, and never had such a performance impact as I'm seeing now.

However, I completely agree: After the updates of the mentioned date, which triggered the problem here, reverting to previous NVidia drivers versions has not improved or fixed the problem for me. If other users are in fact fixing it by reverting to previous NVidia releases, I'm seeing some other problem.

Thanks,
Effenberg

vmc (vmclark) wrote :

I'm using amd64 install, with nvidia geforce 6150 SE integrated, NVIDIA-Linux-x86_64-295.20.run driver.

My problem is the focus. It takes several seconds for the focus to appear or disappear. It may be related to this report.

Sven (sdiedrichsen) wrote :

I have run the nvidia-bug-report.sh shell script after logging into the unity 2d desktop.
I'd love to hand over the information you requested after unity 3d login but my box is unusable under 3d.

You will find the infos for the last 3d login if you scroll down the file. The last 3d login attempt is from 15th of april.

Hope that helps. Cheers,
Sven

Sven (sdiedrichsen) wrote :

Version 295.33 fixed the error for me.
Had to manually add 'ignoreABI' flag to xorg.conf but after that unity 3d works.
I have attached my Xorg.0.log file.

Cheers,
Sven

Todd Howe (tehowe) wrote :

I've an AMD64 HP Pavilion laptop with a builtin NVidia module.

I'm running up-to-date Precise LTS beta 2 and was unable to use this machine until today when I dropped back to Unity 2D as well.

PS for anyone that had autologin activated and are thus blocked from picking Unity2D because you're automatically booting into Unity 3D, edit /etc/lightdm/lightdm.conf and remove any lines referencing 'autologin'

Bryce Harrington (bryce) on 2012-04-16
affects: nvidia-graphics-drivers-updates (Ubuntu) → nvidia-graphics-drivers (Ubuntu)
dmiranda (dmiranda) wrote :

The crash also occurs using gnome shell and kde (with effects enabled) and gnome classic with compiz.

In my machine i can only use gnome classic without compiz and unity 2d

I believe that this bug are not from unity but from nvidia.

Ubuntu_cork (mick-itcork) wrote :

I have found a workaround for me based on Alvara descrition above :)
My hardware is a GeForce 7000M/nForce 610m
The solution is simply to remove the 295.40 module and to replace it with the 295.20 series and perform two tweaks as mentioned above.

1) If you don't have it already done, update your system using the following:
apt-get update && apt-get dist-upgrade
2) apt-get remove nvidia-current nvidia-common
3) Download the driver from http://www.nvidia.co.uk/object/linux-display-amd64-295.20-driver-uk.html
4) Go to a terminal by holding down ALT, TAB & F2 (Any F key from 1-6 should work)
5) execute: lightdm stop
if using kdm, replace light dm with kdm, or if using gdm for display login replace lightdm with gdm.
go to the directory where you downloaded the display driver.
look for NVIDIA-"something".run
6) chmod +x ./NVIDIA-*
7) Make sure you have build-essential installed if not install it with apt-get install build-essential
8) execute " ./NVIDIA-whateverthefilenameis.run" without quotes
9) restart your display with "lightdm start" at the command prompt and choose 2d ubuntu
10) once logged in with unbridled thanks to Alvaro "Effenberg0x0" Leal perform the following steps

- Unchecking "Sync to VBlank" in CCSM/OpenGL Plugin;
- Unchecking "Sync to VBlank" in nvidia-settings (at XServer XVideo Settings and OpenGL Settings)

Reboot, login and hey presto regular unity 3d should now be up and running for you, worked for me :)
I hope this helps some if not all here.

Mick.

Ubuntu_cork (mick-itcork) wrote :

apologies, comment above is about Alvaro from Bug #982762 I hope I am crediting the right person for their help.

Again, hope all this is of some use to at least one other person besides me

Mick.

Hi Mick, Unchecking "Sync to VBLank" always did make things a little faster for me using NVidia drivers, although it generally creates some tearing, specially when watching high-res movies. I wonder if it will fix everyone's problems in this situation. It would be interesting if everyone here could test it too.

But I'm more interested in how you came to replacing lightdm for gdm/kdm. I mean, if you undo this change, is the problem back?

Thanks,
Effenberg

Ubuntu_cork (mick-itcork) wrote :

Hi Alvaro,

Apologies if it was unclear, since my little laptopbox is incapable of Hires movies, I never considered or came across it. For some reason with Gnome3/XFCE/KDE installed on my lappy the dm was causing me issues and I couldnt get to a terminal yet with lightdm installed even when unity flipped out, at least I could with that

I am just applying todays patches which include some unity stuff so I am hoping this fixes the problem, right now the main problem I noticed since posting is that the window manager is there but not visible, and compiz is taking control of the window manager somehow as if I hold down alt-leftmouse I can move the windows about, alt-tab cycles through etc etc....

Will report back as soon as I know more.

Ubuntu_cork (mick-itcork) wrote :

Hi again folks,

Please bare with me if above I have caused confusion with window manager stuff, as suffering the ill effects of brain tumour still :)

With reference to the Display managers, I had kdm running instead of lightdm running as I prefer it as its more tweakable :) send all flames to your local mp not me, ok? ;)

Just updated to latest updates as of today, and most of unity has been updated, yay!!!
After update log in as regular user, and execute "unity --reset"n and everything is flying along again for me!

I hope this works for others too :)

Now going to reinstall KDE, LXDE, XFCE for fun and see if they are all working again.

Mick.

Irish by birth, Cork by the Grace of God :)

Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/982485

tags: added: iso-testing
Daniel van Vugt (vanvugt) wrote :

A crash, which is apparently specific to nvidia 295.40, is being tracked in bug 980298.

Ben A (8-roothorick-gmail-com) wrote :

Seeing the same issue with a GeForce Go 6150 in an HP Pavilion tx2000.

It's worth noting that the problem isn't specific to Unity. Pretty much anything 3D runs dog slow if it doesn't freeze or crash outright. glxgears on my system gives a depressing 5fps.

Like others, reverting to 295.33 fixed the problem.

When I have time, I'm going to try applying the security fix to the 295.33 module and see if the problem comes back.

According to this thread (http://www.nvnews.net/vbulletin/showthread.php?p=2547028), running a patched version of 295.33 (with the security fix, but without unrelated changes) should resolve the performance issues.

Changed in nvidia-graphics-drivers (Ubuntu):
importance: Undecided → High
Changed in unity:
importance: Undecided → High
status: New → Confirmed
Shaman (szaman35) wrote :

Can somebody explain me how to revert to 295.33 (patched or not) and where I can download this driver?
Ubuntu 11.04 non-unity desktop (gnome 2.x + compiz) has the same issue.
Veeeerrry slow screen refresh. It is looks like vblank works for every display line instead of every frame.

Don Myers (donmyers) wrote :

Does anyone know what the current driver was that was installed by default with Ubuntu 12.04 LTS Beta 2 prior to the patch that installed 295.40? I had been using the system for about a week and a half prior to this problem, and it worked great in all respects!!!!

Daniel van Vugt (vanvugt) wrote :

I think this bug might be a duplicate of bug 980298, which is about nvidia 295.40 causing compiz to crash (i.e. no Unity).

And performance issues with nvidia 295.40 are being tracked in bug 982710.

summary: - nvidia 295.40 breaks unity 3d
+ [regression] Nvidia 295.40: Unity 3D does not work at all with the new
+ nvidia driver
Yuriy Tkachenko (yuriytk) wrote :

GeForce 6150se onboard chip video does not work with Unity 3D (Ubuntu 12.04 amd64)

Hồng Quân (ng-hong-quan) wrote :

@Mick: Thank you so much. That's work for me!

Gargon87 (aundreallen87) wrote :

same issue on Geforce 7150m... It started when i upgraded nvidia package in 12.04 beta (had not updated for about a week and a half) and did a fresh install this morning and same black screen with no responsiveness. The mouse arrow was the only thing i could see. beta and official version are 32-bit (AMD Athlon(tm) 64 X2 Dual-Core Processor TK-55)....

Matt (mattcbro) wrote :

I'm seeing this bug as well, however I can report an oddity that I picked up from another related bug.
If you log into your guest account, compiz and unity 3D work. The implication is that there are settings that are applied in the non-guest account that mess up the driver. What would those be?

Paul (p37307) wrote :

@Matt (mattcbro), re comment 39

Logging in as Guest account did not fix the problem. Seen same behavior and problems as if I logged in the main account.

As a test to make sure the guest account didn't get corrupted in the past, as I log in as guest when I go in stealth web mode, I created a new user. I logged into the new user and had the same problems with NVIDIA, COMPIZ and Unity.

Still see the same problem after update. Black screen with mouse
pointer. Logging in to Guest account also sees the same issue.

I am not a developer and I may be completely out of line. If so, I
apologise. What I say is why can't we have the old driver back? Why fix
what ain't broken? The earlier driver was working perfectly fine for me.

Thanks,
Abhishek

shahin (sshatery) wrote :

im using an emachine El1352 with a nvidia gforce 6150se and its effect me also. with or with out additional drivers i cant use unity 3D. its just a black screen. im using 2D now and the file is attached. i think its all about the new nvidia driver coz in the details part of the system there no information about the graphic but in the last version of ubuntu my graphic was working like a charm and the system knows every detail of my graphic card.

todd yarling (toddyarling) wrote :

I have this same problem with an HP DV9000 series laptop, with a 6150 GO.

The suggestion given above of downgrading the driver works, altho, i had to
purge nvidia-current and nvidia-current-update for it to work, and then I
locked the driver version with:

echo "nvidia-current hold" | sudo dpkg --set-selections

On Sat, Apr 28, 2012 at 2:14 AM, shahin <email address hidden> wrote:

> ng an emachine El1352 with a nvidia gforce 6150se and its effect
> me also. with or with out additional drivers i cant use unity 3D. its
> just a black screen. im using 2D now and the file is attached. i think
> its all about the new nvidia driver coz in the details part of the
> system there no information about the graphic but in the last version of
> ubuntu my graphic was working like a charm and the system knows every
> detail of my graphic card.
>

--

*
*

ToddYarling.Com

another solution
entering from the second option of the grub (single user)
sudo apt-get remove - --purge compiz-*

shahin (sshatery) wrote :

I realized its not the ubuntu problem or our problem. its the new drivers problem. when i was using the last version of linux few days ago after upgrading to the new nvidia driver i faced the same problem and i was not able to use the unity 3D or Gnome desktop but after downgrade to the last version (the version i was using before upgrade) everything backed and i used my ubuntu as usual. i did the same while ago and i downgraded it from 295.40 to 295.33 and now its working pretty good.
i think you better try downgrade it and see whats the result.

sudo apt-get remove --purge compiz-*
in case of not being able to do it from the installed grub it is possible to use initiating from supergrub2
 http://www.supergrubdisk.org/super-grub2-disk/

cuby (cuby) wrote :

Folks, I simply erased the configuration forcing the system to create a clean one:

open a console trough :
Ctrl+Alt+F1
find X process and kill it:
ps -ef | grep X
Clear old configuration (all unity configurations will be lost)... I have a really old user account, so, I found 2 different paths:
mv ~/.compiz-1 ~/.compiz-1.BROKEN
mv ~/.config/compiz-1 ~/.config/compiz-1.BROKEN
return to graphic mode:
Ctrl+Alt+F7

This solved my login problem.

Abhishek Kharvadi (abhihello) wrote :

@Cuby: Idea didn't Didn't work for me :( Still unable to login with Unity3D. Unity2D still works fine after this.

msincan (msincan) wrote :
Paul (p37307) wrote :

EDITORIAL: I have been a faithful Ubuntu user, debugger, participant for years. It annoys me that the final release of 12.04 did not have a fix for this NVIDIA issue. I understand NVIDIA is a proprietorial driver but to disenfranchise all the NVIDIA users by Canonical is a slap in the face.

This bug has been reported in one fashion or another for a couple weeks and showed its face after an update a few weeks ago. It was a coding change in the packages that broke NVIDIA.

Bad Canonical. Bad Canonical.

Drew Trott (druid-well) wrote :

Similar problems here with GeForce 7300 GT, AMD 64.

msincan (msincan) wrote :

applying steps described at : https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers/+bug/982485/comments/24 solved my problem. Reverting back to 295.33 from 925.40 solves the problem.

Amir Eldor (amireldor) wrote :

Is the following bug related?

"nvidia-96 and nvidia-173 uninstallable on Precise"
https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-173/+bug/948053

I do not believe that they are related. in the case that you mention the cause is that necessary dependences are not in the repositories.
Here we are speaking about a problem in the driver.

amacus (ked-shayer) wrote :

I have downgraded to 295.33 drivers (using sudo apt-get install nvidia-current=295.33-0ubuntu1~precise~xup1)
 but still no Unity 3D. Any ideas?

Don't know if this helps at all?

date && lsb_release -sd || cat /etc/*release && uname -s -r && unity --version && /usr/lib/nux/unity_support_test -p && dpkg -s mesa-utils
Sun Apr 29 23:16:04 BST 2012
Ubuntu 12.04 LTS
Linux 3.2.0-24-generic
unity 5.10.0
Error: no composite extension

Zippert (daniel-zippert) wrote :

Downgrading to 295.33 dont solve my problem and get back the 3d on my HP dv6000 laptop "Gforce 7400"

Ubuntu 12.04 LTS
Linux 3.2.0-24-generic

Don Myers (donmyers) wrote :

I tried installing the 295.33 drivers twice. Everything seemed to go fine, however, after both tries I could not get back to a graphical interface. I reverted back to the open source Nouveau video driver until this is fixed, which I hope is real soon. The open source driver is working reasonably well and seems to give me some of the 3D features like size adjustment of the launcher icons.

shahin (sshatery) wrote :

for some people downgrading to 295.33 worked but you should take note that you have to do it in virtual terminal and you have to stop lightdm because if you dont NVidia installer will not run, because there's an active X session and after finishing the installation you might get a black screen. just wait for a min and then type "sudo reboot now" then press enter to reboot your machine.

shahin (sshatery) wrote :

bye the way i think canonical and nVidia have to work on this problem and solve it ASAP coz its affected bunch of users and graphic cards problems are sucks. i believe all of us decided to go back to windows because of this problem but keep on telling our self "wait... lets try few more solutions"

295.20 solved all problem

Paul (p37307) wrote :

+Shahin

This is a Ubuntu problem. They made changes that broke a stable NVIDIA during a long term release. No forgiveness for me.

This issue for a LTS release definitely makes you stop and wonder what the developers are thinking. The had several weeks notice that this NVIDIA issue occurred and which update in the code caused it.

It is not an issue that will make me run back to Windows but enough to re-evaluate Canonical and Ubuntu as my main OS, cloud storage and other needs.

LTS release with a non-fixed major graphics issue is suicide for Ubuntu.

Between the constant changes in default programs, UI changes, feature degradation, I am over it. I dealt with it because of overall stability. Now that is gone.

Matthew Hollis (mdhollis) wrote :

We should have a stable open source solution to 3D desktops........This bug affects me in both gnome-shell and unity 3D. I have been using the nouveau driver since late in the beta 2 stages.

melenzb (woodhouser) wrote :

Nouveau is no option in my case as it does not detect my monitors
capabilities correctly and will not do any resolution above 640x480.
Native is 1280x800. Nice idea, but problems at least as tedious as the
ones with nvidia closed source.

On a side note, the 295.40 nvidia driver works flawlessly on my desktop
PC with 8600gts

Don Myers (donmyers) wrote :

In response to post #63, I have three computers with Nividia. One is a desktop with a GForce 9500 card. It works perfectly fine with the 295-40 driver. Two computers, one desktop and one laptop, have integrated Nividia graphics. I'm running Nouveau on both. The resolution is automatically, corrrectly recognized. The desktop has a 19 inch widescreen monitor and it is at 1440 x 900. The other is a 15 inch laptop and it is at 1280 x 800.

Matt (mattcbro) wrote :

@Paul comment 40

How would I check if my guest account got corrupted? As a matter of fact I don't even think the guest account was enabled on my prior Ubuntu 11.10 installation. Perhaps there is a way to see what is different about the login settings between the two accounts? Give me suggestions and I will try it.

Just for chuckles I also installed the cuda version of this driver 295-41 from Nvidia. Unfortunately I'm seeing the same problem on my main account. compiz crashes and thus no unity-3D. I "patiently" await Ubuntus fix for this bug.

Paul (p37307) wrote :

@Matt comment 65

I would assume it is possible to corrupt the guest account if you log in as administrator and change settings within the guest account. Not sure it it reverts back to default settings once logged out or not.

Anwser you question, Ask ubuntu has a post about the default guest sessions settings. http://askubuntu.com/questions/9515/how-do-i-change-the-guest-session-defaults

I created a "new user" account which should set everything up with the default settings still no good.

I have been hard on Ubuntu on this issue. In their defense NVIDIA is broke on GNOME 3 too. So I take back my anger.

I DO HAVE A temp FIX SUGGESTION. I think Canonical/Ubuntu should remove all the NVIDIA drivers in the system that we know do not work and let the ones that do work stay up until a long term fix is made. This issue will hurt Ubuntu in long term if it is not done. Then if someone wants the newer drivers, they can break their system.

Matt (mattcbro) wrote :

@Paul comment 66

Well I had made no changes to my guest account prior to trying it. I think I got the idea of trying the guest account from this bug report, though I kind of forget.

https://bugs.launchpad.net/ubuntu/+source/unity/+bug/963633

As far as I know gnome 3 worked fine in 11.10, though that was probably with the old driver. I was using gnome 3d on and off myself.

One problem I have is that I often need to have the latest cuda toolkit and hence the latest nvidia drivers in good working order on my linux boxes. For now that means no unity 3d and no compiz for me.

I am intrigued however by the possibility that there is some system setting that will get it to work since my guest account does. I have to presume that that fluke is hardware specific. I have an nvidia gtx 280 card, which I suppose is now an older card.

From the link you provided it appears that the guest account uses whatever settings the new account default is, so you may be out of luck with regards to such a fix. Have you altered the new account defaults in any way? Perhaps I will try that approach myself and see if a new account results in a working unity 3d. More later then...

I spent months convincing my wife (MAC user) and my family (Windows users) that Ubuntu rules. But when I installed 12.04 and showed that to them and we all saw how compiz crashed in Unity 3D due to the nvidia drivers it ruined everything.

Now seriously, as an Ubuntu faithful user this is really disappointing. I only install LTS releases to avoid this kind of problems . I think the Ubuntu team should pay more attention to this potential problems.

I solved the problem by downgrading to nvidia drivers 295.33. This is my nvidia chipset

alejandro@alejandro-ubuntu:~$ /usr/lib/nux/unity_support_test -p
OpenGL vendor string: NVIDIA Corporation
OpenGL renderer string: GeForce 7100 / nForce 630i/integrated/SSE2
OpenGL version string: 2.1.2 NVIDIA 295.33

Not software rendered: yes
Not blacklisted: yes
GLX fbconfig: yes
GLX texture from pixmap: yes
GL npot or rect textures: yes
GL vertex program: yes
GL fragment program: yes
GL vertex buffer object: yes
GL framebuffer object: yes
GL version is 1.4+: yes

Unity 3D supported: yes
alejandro@alejandro-ubuntu:~$ ^C
alejandro@alejandro-ubuntu:~$

Wal (trees5353) wrote :

Thank you Alejandro. I was able to successfuly install the 295.33 driver through terminal on Precise 12.04. To stop it updating to a higher version of that particular package, I then then installed synaptic package manager and locked the 295.33 package so it cannot be updated. I will leave it that way until a stable version of 295.40 is available. I am sure this has been suggested before but perhaps Canonical should enable the 295.33 driver to be installed in the interim until a proper fix is found for the current 295.40 driver as this is affecting tens of thousands of users.

Not sure if this will help anybody, but I had the 'second' issue, Unity 3D not loading so I fallback to Unity 2D.
 I have an Intel i5 with Nvidia GeForce Optimus 420m.

What oddly worked for me was reinstalling 12.04. During the install process the second time around, I did not check the boxes to install proprietary software or download updates.

For some reason, installing it that way made Unity work for me. I've seen installed all updates, and still am running fine.

Allan Kelly (wolasallank) wrote :

I removed the nvidia proprietary driver through System Setting -> Additional Hardware.
Now Unity appears to be fine.
Is there anything to gain from using nvidia drivers?

Jule Slootbeek (jslootbeek) wrote :

@Allan I am doing this as well at the moment. I do not play games, however. I imagine well going OpenGL or 3D heavy will show a loss in performance using the non-nvidia drivers.

Is there someplace where I can go to find how to downgrade the driver? My
screen goes to garbage after I log in and I can't see anything.

-----Original Message-----
From: Allan Kelly
Sent: Tuesday, May 01, 2012 1:43 PM
To: <email address hidden>
Subject: [Bug 982485] Re: [regression] Nvidia 295.40: Unity 3D does not
workat all with the new nvidia driver

I removed the nvidia proprietary driver through System Setting -> Additional
Hardware.
Now Unity appears to be fine.
Is there anything to gain from using nvidia drivers?

--
You received this bug notification because you are subscribed to a
duplicate bug report (991246).
https://bugs.launchpad.net/bugs/982485

Title:
  [regression] Nvidia 295.40: Unity 3D does not work at all with the new
  nvidia driver

Status in Unity:
  Confirmed
Status in “nvidia-graphics-drivers” package in Ubuntu:
  Triaged

Bug description:
  After update of the NVIDIA driver to version 295.40 the unity 3d desktop
does not work.
  I am using a GeForce 6200 on a i386 architecture Ubuntu 12.04 beta.

To manage notifications about this bug go to:
https://bugs.launchpad.net/unity/+bug/982485/+subscriptions

Don Myers (donmyers) wrote :

Tom, when you are at the login screen, instead of typing your password in, click on the little gear in the top right of the login box, and select Ubuntu 2D. then type in your pass work. You system should work in 2D.

shahin (sshatery) wrote :

i really dont understand why ubuntu and in general linux never can work like a real OS without hassle and problems? all of the users are facing 1000 of problems everyday. today everything is ok. tomorrow after a update your graphic card wont work anymore. they will release a patch for it then your network is not working after solving the network problem the unity is not working then the wireless ans this story is continued...
i really dont understand this. i was talking to one of the guys who is in the development team i asked him the same question and he said "its because the hardware companies are not releasing drivers for linux" then the question is why you dont cooperate with them? why if we install MCOSX on a none-apple desktop or laptop its always working good and there is no problem but when we are using linux, we look like bunch of soldiers and the battle field and every second is like hell.

Wal (trees5353) wrote :

Don Just install the 295.33 driver through your normal terminal with the following commands:

sudo add-apt-repository ppa:ubuntu-x-swat/x-updates
sudo apt-get update
sudo apt-get install nvidia-current=295.33-0ubuntu1~precise~xup1

On reboot it will be working. The update manager will then want to install the current version untick it to stop it from doing so and make sure your updates are only displayed and not installed automatically through settings.

Then if you haven't already done so install Synaptic Package manager and find the 295.33 driver on it you installed. Then go to settings and lock this version. It will get a little lock next to it and turn red. Now the driver cannot be updated until you unlock it. I will be keeping it locked until I am absolutely sure the 295.40 driver has been fixed.

Wal (trees5353) wrote :

Hi Shahin if you graphics card isn't working reinstall your operating system then try what I have outlined in my previous post. It does work.

Bryce Harrington (bryce) wrote :

> I am sure this has been suggested before but perhaps Canonical should
> enable the 295.33 driver to be installed in the interim until a proper
> fix is found for the current 295.40 driver as this is affecting tens of
> thousands of users.

Problem is that the .40 driver was a security update. That means that downgrading the Ubuntu version to their .33 would expose all nvidia users to the (now public) security bug. IOW delivering .33 to you in the Ubuntu LTS would be irresponsible of us.

NVIDIA is aware of the issues and working on fixes. Remember we have -updates now, that we can roll out fixed drivers to for those of you affected by this. But we're gated on NVIDIA to fix the issue since it's a binary proprietary driver.

Don Myers (donmyers) wrote :

Wal,

Thank you so much for your post #76. That did work perfectly. I had tried the driver from x-swat earlier today, but ended up with 298-40 since I didn't realize that a full description of the driver was needed. I just had nvidia-current with nothing else in the apt-get install line

Bruce,

Thank you for your post. I guess I should not be happy that the instructions from Walt did work. I had the beta on 8 machines. I was tremendously impressed. Then after investing about 16 hours in making some open source drives work on some machines with Nvidia, and getting really frustrated with some others, it sort of took the luster off. But 12.04 is still a tremendous release. When you say about it being irresponsible for Ubuntu to ship a driver with a security problem, you are absolutely right. It is a shame that something by a third party could mess up such a wonderful launch of a product. I've been using Ubuntu for 3+ years, and this is the first major glitz that I have personally seen happen. Ubuntu was certainly between a rock and a hard place. I was just hoping Nvidia would have had things fixed by last Thursday.

Wal (trees5353) wrote :

Hi Don Its good to hear you are up and running. I should have mentioned in my previous post that although you have locked the driver from updating in synaptic and update manager. Be careful if you are doing updates through terminal "apt-get" as this does not recognise the lock in synaptic and will bypass it and you will end up with the 295.40 driver again. At least we have a system that is now running smoothly with no crashes or freezes. Cheers

Paul (p37307) wrote :

This should have been a non issue. The default lists should have blacklisted the NVIDIA drivers and removed them from the repo until a fix was released by NVIDIA or Ubuntu. I along with many others made a bug report at in plenty time for a launch day patch to prevent this.

@don is correct. 12.04 is an awesome release. The only issue now is those of us that converted people over in the last few years all have egg on our face. I haven't done this much computer home work on family and friends computer since the ole blue screen days of MS.

As a beta tester I am used to problems from time to time. For a launch release this was uncalled for.

Those of us that work hard testing and converting users, We deserve better than this.

kaddy (kaddy080) wrote :

This is disastrous for Canonical/Ubuntu's reputation.... I am aware that it is Nvidia at fault and that is the joys of waiting for a proprietary company to update closed source drivers and adapt them for an opensource project.... but the LEAST Canonical could do if they care about their reputation... is ensure the release is well tested before releasing... ESPECIALLY being an LTS...

The problem though, is that Canonical release to a schedule no matter if the release is ready or not... and that needs to change... Something as important as this Needs to be addressed BEFORE releasing... The Majority of Nvidia users will install the proprietary driver not knowing of the horrors to come.... Release it when MAJOR issues are fixed! Not release Half assed... it's Unprofessional... and not fair that users of an LTS will end up with a broken system even if it isn't Canonical's fault directly... It is simply not acceptable for users to have to wait for updates to fix their broken system "whenever that will happen"

kaddy

Wal (trees5353) wrote :

Hi Bryce I take on board what you are saying but like most of us here and many others out there who have upgraded from a previous version of Ubuntu to 12.04 whether by fresh install or update we expected at a least this these type of basic problems i.e. Graphic Card issues would have been ironed out.

I am aware that 295.40 was a security update of 295.33 but .40 is just not working. With many PC's out there using the Nvidia Cards particularly Series 6 and 7 we just want a system that works as it is supposed to not one that crashes, freezes or just does not boot up every time we install the .40 driver.

I don't think any Linux based system would receive priority as far as Nvidia go as we are only a minority cummunity out there in the Windows dominated world. Nvidia might fix it today,tomorrow or next week month who knows. In the mean time many are left pulling their hair out with operating systems that just don't work. Cheers

kaddy (kaddy080) wrote :

On a side not... even after installing the Nvidia driver 295.33... I am experiencing alot of freezups with applications like totem, rhythmbox, firefox etc.... especially when right clicking on a website link to open it in a new tab.... So that is 3 Nvidia driver versions i've tried so far all with stability problems on Unity.... will post back if I have any better luck with alternate workarounds

Amir Eldor (amireldor) wrote :

I don't know about you boys and gals, but I removed the nvidia-current package and it fell back to using the nouveau driver. This means I am now on Unity 3D and it works for me just fine.

I didn't try 3D games yet though, and I guess that would require the 'real' nvidia driver.

Axel H. (staff-pro-unreal) wrote :

I can confirm this issue for Ubuntu 12.04 with nvidia driver version 295.40, GeForce 8800 GTX and GeForce 8400 M:
Desktop is freezing and unusable.

Installing 295.33 from the x-org PPA solves the problem.

Bruce Crowther (bandjc) wrote :

"I don't know about you boys and gals, but I removed the nvidia-current package and it fell back to using the nouveau driver. This means I am now on Unity 3D and it works for me just fine."

Tried that, and my machine fell back to VESA, meaning 2D Unity only, as ugly as Unity was when it first appeared.
Re-activated the nVidia driver, and de-activated it again, and on the next boot, behold Nouveau. And I notice my /etc/X11/xorg.conf file has disappeared.

I'm not going to bother any longer with the nVidia drivers, Nouveau works fine for my purposes.

Amir,

I've had 4 machines with NVidia drivers. One is fine with the 295.40
driver. One is fine with the nouveau driver, including 3D. On the other
two machines the nouveau driver will only work in 2G. The nouveau driver
seems to have different capabilities with different versions of NVidia.

On 05/02/2012 01:13 AM, Amir Eldor wrote:
> I don't know about you boys and gals, but I removed the nvidia-current
> package and it fell back to using the nouveau driver. This means I am
> now on Unity 3D and it works for me just fine.
>
> I didn't try 3D games yet though, and I guess that would require the
> 'real' nvidia driver.
>

--

**

Red (original-red-s) wrote :

Just installed the 302.07 (beta) from Nvidia's site and it seems to work (i've got desktop and glxgears gives approx 60fps).

Geforce 7025

Red,

Great find. Hopefully this new driver will test well. Will make tons of Ubuntu users happy I'm sure.

Marshall Clyburn (mardev2013) wrote :

Driver does the same for the nvidia GeForce 6100.

bowser (bwbernard-wong1) wrote :

Hello,

I have created a bug report on Unity3d and the Nvidia drivers concerning vdpau in Precise. I am not sure if it is related to this bug.

https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers/+bug/993397

I have downgraded to 295.20 and it didn't make a difference. No problem in Gnome-Shell though,

Shaman (szaman35) wrote :

Thanks Red!

302.07 beta seems to work fine for me. Even vblank works well :)
Hope there are no security issues like in 295.33

302.07 solved my problem

Axel H. (staff-pro-unreal) wrote :

Nvidia released version 295.49 which announces a bugfix for this regression.
http://www.nvidia.com/object/linux-display-amd64-295.49-driver.html

Please update the nvidia driver packages ASAP.

#39 @Matt
If you can login with guest account but cannot login with your own account, have you tried removing the .Xauthority file from your home directory? For me messing around with these versions corrupted the Xauth files and removing them let me login again.

Ctrl-Alt-F1
rm .Xauthority

Or you can move the file to another name if you want to keep backup of the file

Ctrl-Alt-F7
Login normally with your account - this will create new .Xauthority file to your home directory.

wribeiro (wribeiro) wrote :

I do not understand how can exist such serious bug in a LTS version just released? I am very disappointed with Canonical!

Don Myers (donmyers) wrote :

Wrobeiro,

Please read post #78 above. Also, not all NVidia systems were affected. I had one which is working fine with 295-40. But three did not. I do understand your frustration, If you read my other posts, I spent a good deal of time dealing with three other machines which did not work. Successful work arounds were posted in this thread. Also, it appears that NVidia released a driver now to fix the issues. So far, I've upgraded 11 systems. The ATI installs went beautifully!

Don

Wal (trees5353) wrote :

Alex that looks lik a fix for the 64 bit driver. No mention of a briver for 32 bit systems.

Matt (mattcbro) wrote :

#96 @Manu
Removing .Xauthority allows me to log into the 3D unity mode, but none of the compiz effects actually work. (Unlike the guest mode login).

  By the way this bug totally screws up cairo-dock in opengl mode. There seems to be no way to turn that off and now the dock doesn't even show. I'm going to try one of the beta drivers since the cairo-dock issue is now affecting my productivity.

Matt (mattcbro) wrote :

#99 @Shaman
Neither the 295.49 nor the beta 302.07 Nvidia drivers worked for me. If anything they made things worse. That leaves me without a decent solution for my desktop now that cairo-dock insists on 3d acceleration. (Surely you don't expect me to use Unity?) I am seriously considering another distro unfortunately, though I suppose anything that tries to use compiz will be useless.

I'd love to regress to the 295.33 drivers, but that doesn't support the latest cuda. So this is really a conundrum

Wal (trees5353) wrote :

I still have the 295.33 driver installed and they have been working for the last4 days now since I insalled them without any problems.

I do note from post #101 and a couple of others that an updated driver (295.49) is now availale after the troublesome 295.40 driver.

Can anyone confirm whether the 295.49 drivers are actually working properly when they are installed.

Matt (mattcbro) wrote :

#103 @Wal Did you see the post right before yours? Neither the 295.49 nor the 307.07 drivers fix the unity 3d /compiz errors for my card (280 GTX). It seems I personally can run gnome (3D) however.

 If the problem is solely confined to unity and compiz, maybe it's not the end of the world. It's not like that interface is that useful, though I do like compiz. I wonder if kde will work? Is it worth the hard drive space?

Wal (trees5353) wrote :

Hi Matt, Yes I did read your previous post. Did you try and install the new driver after you done a fresh install or did you try to install to install it on a system you had already tinkered with and changed the settings.

I have found from previous experience that it is better to try the new driver after you have done a fesh install of your system as everything is back to the way it should be to except the driver.

Changed in nvidia-graphics-drivers (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
Changed in nvidia-graphics-drivers-updates (Ubuntu):
status: New → In Progress
importance: Undecided → High
assignee: nobody → Alberto Milone (albertomilone)

For me updating the driver with NVidia .run file does not work.
If I remove all nvidia drivers first, the system uses nouveau after I execute the .run file.
If I keep the 295.33 driver and execute the .run file, the kernel module stays in 295.33 version.
I also tried to create /etc/modprobe.d/nvidia.conf file wit the content

blacklist nouveau

but no luck yet. I am still using the 295.33, which I can install from the .deb file.

Shaman (szaman35) wrote :

I didn't check the latest current driver (295.49) but 302.07beta works fine for me.
I use Ubuntu 11.04 gnome2.32+compiz. 3D effects and everything else works well. Unity works, too.
My steps:
1. apt-get update
2. Unload all gfx drivers from Hardware Drivers window (proprietary drivers window).
3. apt-get remove nvidia-current nvidia-common
4. chmod +x NVIDIA-Linux-x86-302.07.run
5. CTRL+ALT+F2
6. gdm stop
(or lightdm or kdm)
7. ./NVIDIA-Linux-x86-302.07.run
8. gdm start
(or lightdm or kdm)
9. Done

I will do the same with 295.49 if this drivers will works for others.

Installing 295.49 or 302.07 don't solve my problem. X session freezes after about minute. My hardware is iMac and GeForce 8800 GS.

I also installed OpenSUSE 12.1 (KDE) to the same machine that works with nouveau driver, but installing NVIDIA driver resulting same problem that I have with Ubuntu 12.04. Also Ubuntu works with nouveau driver.

I am able to make ssh connection to both systems after freezing. I think that udevc was defunct in process list.

Here is xorg log from OpenSUSE, from Ubuntu I couln't find anything, posted on the duplicate. When googling (last month) that error there is lot of bug reports also in other distributions.

[ 261.273] [mi] EQ overflowing. The server is probably stuck in an infinite loop.

robin (robins) wrote :

I have the same problem as everyone here, I am using the 295.33 version seems to have solved my problem. The nouveau driver worked wonderfully as well. My only issue with nouveau is the high fan speeds are really annoying and power consuming. I hope to see fixed version soon.

robin (robins) wrote :

And oh I am on GeForce GT230. Just some additional info: The 3D unity loads fine as long as i don't do anything slightly cpu intensive (like loading a html5 video in firefox 12) and the gpu crashes and logs me off (not shutdown but just log off). But 2D unity seems to work just fine in the new driver. I have decided to stick with the old driver while this issue is being resolved.

robin (robins) wrote :

Edit: nevermind it crashed again with the old driver. I think i am going to just use 2d from now on i guess.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-updates - 295.49-0ubuntu1

---------------
nvidia-graphics-drivers-updates (295.49-0ubuntu1) quantal; urgency=low

  * New upstream release:
    - Added support for the following GPU:
      o GeForce GTX 690
    - Fixed a problem where starting, stopping, and moving
      OpenGL application windows was very slow on Quadro
      FX 4600, Quadro FX 5600, GeForce 8800 GTX, GeForce
      8800 GTS, and GeForce 8800 Ultra (LP: #982710).
    - Fixed an OpenGL performance regression which
      affected Geforce 6 and Geforce 7 series integrated
      GPUs (LP: #982485).
 -- Alberto Milone <email address hidden> Fri, 04 May 2012 16:57:15 +0200

Changed in nvidia-graphics-drivers-updates (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers - 295.49-0ubuntu1

---------------
nvidia-graphics-drivers (295.49-0ubuntu1) quantal; urgency=low

  * New upstream release:
    - Added support for the following GPU:
      o GeForce GTX 690
    - Fixed a problem where starting, stopping, and moving
      OpenGL application windows was very slow on Quadro
      FX 4600, Quadro FX 5600, GeForce 8800 GTX, GeForce
      8800 GTS, and GeForce 8800 Ultra (LP: #982710).
    - Fixed an OpenGL performance regression which
      affected Geforce 6 and Geforce 7 series integrated
      GPUs (LP: #982485).
 -- Alberto Milone <email address hidden> Fri, 04 May 2012 17:03:09 +0200

Changed in nvidia-graphics-drivers (Ubuntu):
status: Triaged → Fix Released
Matt (mattcbro) wrote :

#105 @Wal By fresh install are you talking about wiping my drive and reinstalling ubuntu? That would be some ugly piece of work given all the software I'd need to reinstall. Or are you talking about uninstalling the old drivers and reinstalling the new? I did attempt to remove the ubuntu proprietary drivers, prior to the reinstall of the beta driver.

If I were forced to do an entirely fresh install, I might try another distro or Kubuntu or something different. Right now I'm just living with gnome 3 and a dicey driver configuration.

I am also not happy with declaring 295.49 a 'fix' for this bug. It changes nothing on my system as far as I can tell. Unity 3D is still dead.

Paul (p37307) wrote :

Doing a little research, I saw where NVIDIA is getting ready to launch a new version of the driver which will bring more stability and better features to linux users. Anyone want to try it out and let me know if this release fixes out problem?

If not, someone post the terminal commands so I can remove it if it fails.

http://www.nvidia.com/object/linux-display-ia32-302.07-driver.html

robin (robins) wrote :

@Paul #116 it makes sense since Steam is working on a gaming ubuntu distro for there upcoming gaming console. NVIDIA is also working with the Linux Foundation: http://www.zdnet.com/blog/open-source/nvidia-joins-the-linux-foundation/10530

eros2 (eros2) wrote :

I tried 302.07 and it works ok with unity.

I make fresh install, updating system and installing 295.49. That hangs X system.

X.org.log is full of EQ overflow notices? Is there any help of my log file.

[ 107.493] [mi] EQ overflow continuing. 200 events have been dropped.

kaddy (kaddy080) wrote :

@eros2

just ok? Or does it work as well as nouveau on a default ubuntu 12.04 install? no weirdness / crashing etc?

and is there a 64bit driver for 302.07?? can't find one... only 32bit

eros2 (eros2) wrote :

@kaddy

I not test for long, but at least Unity 3D starts and seems working well.

64bit version here - http://www.nvidia.com/object/linux-display-amd64-302.07-driver.html

Wal (trees5353) wrote :

Has anyone tried the 295.49 driver yet and is it working OK. I have read one prevous post which stated that this driver hung his system. But reading his attached printout it would appear he may have had the 295.40 driver installed and not the 295.49.

^ Thanks.

I reinstalled nvidia in resume mode, but before that I removed nouveau driver and system seems to stable now.

norton (norton-miller) wrote :

I installed the latest 295.49 drivers and I now have no gui at all. I can only use command line on any tty[1-6] apart from tty7. When I switch to tty7 I see some login reports (e.g. "mountall: Disconnected from Plymouth [ OK ]"). I can make no commands in this tty - there's no keyboard response. I have to switch to another tty to interact with my laptop.

Has anyone any ideas about what I can do?

I can report that installing 302.07 solved my problems. Unity3D, compiz and OpenGL games all work now.
I had some problems quitting lightdm, it wouldn't completely close... I had to resort to "sudo killall lightdm" and "sudo pkill -9 /usr/bin/X".

Olcay Korkmaz (olci) wrote :

295.40 driver killed unity3D and gnome-shell problem solved via going to back 295.33 version with security patch

Fix Released? Could have fooled me. apt-get still wants to install the same old broken driver and steadfastly insists that nothing newer is available.

I had to manually download a deb from here: https://launchpad.net/~suraia/+archive/ppa/+build/3464331

It did, however, solve my problem.

Wal (trees5353) wrote :

Hi Ben, If Update Manager still wants to install the old driver, go to Synaptic Package Manager and lock the new driver. That way in will stop it from wanting to install the old one. Once the new driver is released then unlock it.

Wal (trees5353) wrote :

Just to advise that I have just installed the 295.49 driver and everything is working OK.

Helio Neto (remiariro) wrote :

Fix Released - that's for Quantal, not Precise.

Armin Jöllenbeck (armvn) wrote :

Can anybody explain why the fix is nor yet released for Precise?

robin (robins) wrote :

@Ben A #127 Thanks for the link, everything seems to be working just fine with new version 295.49. Better than fine since 3D loads fine and doesn't seem to die on me. But need to test it more.

Ptitphysik (amalpeyre) wrote :

With Driver 295.49 and GeForce 7000M / nForce 610M, 3D is still slow..

robin (robins) wrote :

Just an update on 295.49, I have had a few X crashes so far. Much less common than before but seems like I can live with this version for a while.

Hello Sven, or anyone else affected,

Accepted nvidia-graphics-drivers-updates into precise-proposed. The package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

no longer affects: nvidia-graphics-drivers (Ubuntu Precise)
Changed in nvidia-graphics-drivers-updates (Ubuntu Precise):
status: New → Fix Committed
tags: added: verification-needed
markb (mark-blakeney) wrote :

Here's my experience with a nvidia 8600GT card on ubuntu 12.04. All previous ubuntu releases have worked fine with with proprietary driver over many years. Installed clean 12.04 and using gnome-shell + gnome3 team ppa, nvidia driver 295.40 did a segmentation fault after a hour or so mainly just using terminals and chrome. Installed v295.49 direct from nvidia web site. Still seg faulted after a couple of hours. Installed v302.07 direct from nvidia web site, seg faulted after a few more hours. I have listed the xorg log seg faults [url=http://ubuntuforums.org/showpost.php?p=11904367&postcount=8]here[/url] and [url=http://ubuntuforums.org/showpost.php?p=11907292&postcount=10]here[/url].
Then added xorg-edgers ppa which includes v302.07 plus other updated xorg stuff, still get seg fault after a few hours.

Removed nvidia driver and fell back to nouveau (still from latest xorg-edgers) and Unity 3D plus gnome-shell working beautifully. Note also that virtual consoles (alt+F1->f6) work with nouveau but just gave black screen on all nvidia versions with 12.04.

Note that the Settings/Additional Drivers dialog says that a user MUST install nvidia proprietary drivers before Unity 3D will work, to get desktop effects, etc. Clearly this is not true anymore. Nouveau is working without compromise for me.

robin (robins) wrote :

@markb #136 I have the exact same problem, thanks for doing better job than me describing it. I am thinking about joining the test team https://wiki.ubuntu.com/X/Testing/ProprietaryDrivers/Natty/WeeklyProgram but I don't think I have enough time.

Helio Neto (remiariro) wrote :

I've just installed 295.49 from precise-proposed and everything seems fine now. At least Unity 3D works and it's running as fast as with 295.33.
GeForce 7025/630a, 12.04 32-bit.

I installed the Unity update, rebooted and everything is working in
Unity 3D. Great work, I'm impressed with how quickly ya'll worked on a
fix for this issue. Thanks, I greatly appreciate it.

On Wed 09 May 2012 05:53:17 AM EDT, Helio Neto wrote:
> I've just installed 295.49 from precise-proposed and everything seems fine now. At least Unity 3D works and it's running as fast as with 295.33.
> GeForce 7025/630a, 12.04 32-bit.
>

eros2 (eros2) wrote :

Hi all,
After moving to Precise from Natty and fixing this bug (by installing nvidia 295.33, 295.49 or 302.07) I ran into another problem - after waking from sleep my screen garbled (see attached screenshot).

Maybe anyone have such problem also? Is there exist opened bug for this issue?

My GPU is GeForce 7025 / nForce 630a. Under Natty anything was ok.

eros2 (eros2) wrote :
Ptitphysik (amalpeyre) wrote :

Hi,

I've installed 295.49. And Unity 3D is lagging, taking sometimes more 70% CPU and is very slow.
I don't know report a bug about it.
 I've GeForce 7000M / nForce 610M.

After Installing manually in message #127 295.49 driver problems continues.

pelm (pelle-ekh) wrote :

Lagging here too. Using GeForce 7600 GS. This driver (295.49) doesn't freeze the machine which 295.40 did, but Unity3D is slow and the computer lagging much and swaps (especially using Firefox). Unity3D is not (in my view) as it is now, at least on my machine, usable for highend work. I'm now using Xubuntu. But can you fix Unity + (probably) Compiz (memory footprint etc.) with Nvidia drivers i would be glad, because Unity3D is a great environment.

Linux Lover (obake) wrote :

@Martin Pitt #135 Did the packaging process complete? I cannot find the package "nvidia-graphics-drivers-updates" in Precise-Proposed.

eros2 (eros2) wrote :

for #145 - package is "nvidia-current-updates".

robin (robins) wrote :

i still have issues(#136) with the new nvidia-current-updates package in Precise-Proposed. Over at nvidia forums I read that new version of X-org in 12.04 is incompatiable with new nvidia drivers with older graphics cards.

sudo lshw -C display; lsb_release -a; uname -a; dpkg -l | grep nvidia
*-display
       description: VGA compatible controller
       product: G92 [GeForce GT 230]
       vendor: NVIDIA Corporation
       physical id: 0
       bus info: pci@0000:01:00.0
       version: a2
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress vga_controller bus_master cap_list rom
       configuration: driver=nvidia latency=0
       resources: irq:16 memory:fa000000-faffffff memory:d0000000-dfffffff memory:f8000000-f9ffffff ioport:dc00(size=128) memory:fbde0000-fbdfffff
LSB Version: core-2.0-amd64:core-2.0-noarch:core-3.0-amd64:core-3.0-noarch:core-3.1-amd64:core-3.1-noarch:core-3.2-amd64:core-3.2-noarch:core-4.0-amd64:core-4.0-noarch
Distributor ID: Ubuntu
Description: Ubuntu 12.04 LTS
Release: 12.04
Codename: precise
Linux xxx 3.2.0-24-generic #38-Ubuntu SMP Tue May 1 16:18:50 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux
ii nvidia-common 1:0.2.44 Find obsolete NVIDIA drivers
ii nvidia-current 295.40-0ubuntu1 NVIDIA binary Xorg driver, kernel module and VDPAU library
ii nvidia-current-updates 295.49-0ubuntu0.1 NVIDIA binary Xorg driver, kernel module and VDPAU library
ii nvidia-settings 295.33-0ubuntu1 Tool of configuring the NVIDIA graphics driver
ii nvidia-settings-updates 295.33-0ubuntu1 Tool of configuring the NVIDIA graphics driver

Helio Neto (remiariro) wrote :

@eros2 #140

I'm getting this same garbling when I try to run some 3d games like Tile Racer.

Workaround: just reset your screen by pressing <ctrl><alt><f8> and then <ctrl><alt><f7>

> Screenshot for comment #140 - http://img233.imageshack.us/img233/5397/20120508195655.png

Pat (usa104) on 2012-05-12
Changed in nvidia-graphics-drivers-updates (Ubuntu Precise):
status: Fix Committed → Fix Released
Uphaar Agrawalla (uphaar) wrote :

I can confirm that after applying the update from proposed, the issue was resolved and I am able to log into Unity without any issues. Overall the desktop is working normally.

paul (paulgault-r) wrote :

Linux-x86_64
GeForce 6150SE nForce 430 (GPU 0)
NVIDIA Driver Version: 295.40

me too.
both the 2D and the 3D desktop sessions run fine before installing 295.40
after rebooting the 2D session still works but when attempting a 3D desktop session the desktop does not load correctly leaving the user with no way to open any applications except via any short cuts that happen to be on the desktop.

Evan R (evan-gowfb) wrote :

Running Ubuntu 64 on Acer Aspire 8730 (NVIDIA GeForce 9600M GT), and have the same problem when using xinerama to have dual display working on 295.40. Unity 3d has exactly the same problem as described by paulgault-r. I'm a linux newbie.. it says a fix was released -- where do we find it / how do we apply it?

Wal (trees5353) wrote :

Hi Evan if you are running 64 bit Ubuntu 12.04 precise go to the link below and download the 55.9MB Deb file. Once downloaded open it and install it it will automatically install through software centre. It does work and fixed all my problems with the previous driver.

https://launchpad.net/~suraia/+archive/ppa/+build/3464331

Sven (sdiedrichsen) wrote :

Hi everyone,
I have tried the 295.49 driver and this fixes the problem for me.
Cheers, Sven

Bence Lukács (lukacs-bence1) wrote :

Just I think that this bug doesn't affect project "unity"?
It rather connected to compiz...

Bence Lukács (lukacs-bence1) wrote :

Anyway nvidia-current 295.49 solved my problem. I have an nVidia 6100 graphics card.

paul (paulgault-r) wrote :

have now updated to 295.49 and all seems well. thanks.

Ken McLean (kenmclean) wrote :

295.49 does not fix the problem for me. Login is still loading Unity 2D by default.

$ echo $DESKTOP_SESSION
ubuntu-2d

$ glxinfo | grep OpenGL
OpenGL vendor string: NVIDIA Corporation
OpenGL renderer string: NVS 3100M/PCIe/SSE2
OpenGL version string: 3.3.0 NVIDIA 295.49
OpenGL shading language version string: 3.30 NVIDIA via Cg compiler
OpenGL extensions:

shahin (sshatery) wrote :

maybe ill just move to linux mint coz its working good and fast. this problem is getting bigger and bigger. seems its not gonna be a good LTS. beside that i love gnome. all of these problems are coming from unity and compbiz.

I installed 295.49 following Wal (trees53) and nothing changed. So 295.49 still doesn't fix my problems. I have a 8800GTX

madbiologist (me-again) wrote :

Can someone who installed 295.49 from -proposed and found that this fixed the problem please confirm you are running Ubuntu 12.04 ?

andreas (andreas-demey) wrote :

In my case 295.49 from -proposed fixed the issue under ubuntu 12.04 (64bit). I have Nvidia Geforce 6150 integrated graphics. It works as well as 295.33 did.

Bertalan Fodor (fodber) wrote :

I installed 295.49 from the ubuntu-x-swat ppa for 12.04 (http://www.ubuntuupdates.org/ppa/ubuntu-x-swat?dist=precise). Compiz no longer crashes and OpenGL applications (I tried Stellarium) work now with acceptable performance. (Unity3d performance is still not perfect, but I don't that's a driver issue.)

Wal (trees5353) wrote :

Hi Madbiologist, I downloaded and installed the 295.49 driver from launchpad see post #152. Mine is running perfectly. I am running Ubuntu 12.04 with a Nvidia Geforce 7100 Graphics Card. I did not bother downloading from "proposed" as I already had a working driver.

Not sure if you are just checking to see if the new update works or if you have downloaded it from "proposed" and found it doesn't work. If you have done the latter. Uninstall the previous driver then install 295.49. Hope this helps.

Mine is working again. I have Nvidia Geforce Go 6150 integrated graphics inside a Compaq Presario V3000.
When -proposed was released, I first uninstalled nvidia-current and installed nvidia-current-update (295.49) from -proposed. It worked fine. So, when the nvidia-current 295.49 driver was finally released, I uninstalled nvidia-current-update and reinstalled nvidia-current, not without running apt-get update first.

For those who are still having unity2D being loaded, I know it may sound silly but... have you checked if Unity3D is selected as the main session? I've done this mistake a thousand times myself, checking unity2D whenever I had a problem with 3D and always forgetting to change it back when a fix was released.

madbiologist (me-again) on 2012-05-14
tags: added: verification-done
removed: verification-needed
Matt (mattcbro) wrote :

@Wal well I tried both of the precise version from #152 and #162 above and it leaves my monitor stuck in 640 x 480 mode. Nothing appears to be able to change this, including changes to xorg.conf and running nvidia-xconfig . The latter says I'm not running an nvidia driver. So it's a total bust for me with my Nvidia gtx 280. At least the beta driver let me run gnome 3. Unfortunately the latter is just too buggy to be useful.

Matt (mattcbro) wrote :

The proposed fix, driver 295.49 does not work for my nvidia gtx 280 card. In fact it causes X to fail to launch altogether after some recent ubuntu 12.04 updates. The beta driver 302.07 allows X to start but compiz still always crashes for me and thus unity 3D will not work.

Ken McLean (kenmclean) wrote :

@faadias #164: Yep, I double checked that Ubuntu was selected at login. FWIW, I should add to my note at #157 that I am running 32-bit Ubuntu.

Bryce Harrington (bryce) on 2012-05-15
Changed in unity:
status: Confirmed → Invalid
angus (angus-post) wrote :

Hi, The upgrade to 295.49 has also not solved things for me. I am using a NVIDIA Geforce 7100 /nforce 630i and after installing the new drivers and logging in to Unity 3d I just get a blank screen and a cursor.
GNOME 3 works although it is laggy.

Benoit THIBAUD (frombenny) wrote :

The fix is available only for the quantal version of Ubuntu here : http://packages.ubuntu.com/fr/quantal/nvidia-current

I don't know why the fix is not proposed for the precise version !

I tried it in Xubuntu 12.04LTS and it works even if it's not built for that version.

259.49 worked for me with Nvidia Geforce 7150M / 630

Uphaar Agrawalla (uphaar) wrote :

Hi all,

For those who have not had success with the fix, I just wanted to mention that the following needs to be done to make sure the new driver is being used:
- Log into Unity 2D
- Enable precise-proposed
- Install nvidia-current-updates
- In Additional Drivers settings dialog, enable the updated driver by selecting the "version current-updates" line and clicking on Activate
- Reboot
- Choose Unity from the login prompt

I just thought it might be useful to re-iterate even though most of these have been mentioned before, as I made the mistake of missing out on some at first.

Of course, many of you may have done it already and still not succeeded - this is just in case you didn't follow all the steps.

Evan R (evan-gowfb) wrote :

Is there any timeline for when this fix will be available through the normal driver installation / activation procedure in Ubuntu? I see that some people have had success with 259.49, but it's still not what is being installed via System Settings -> Additional Drivers (still 259.40). It's not that I am not grateful for the person(s) who created/posted the fix, but I'm unweary about installing drivers from untrusted sources. Since 259.40 is causing problems for quite a lot of people, why hasn't the version been changed? Am I overlooking something (entirely possible, as I'm new to Linux, at least on a workstation)?

@Evan did you run a system update on your computer first? It should be available to your computer now.

Following the instructions from Uphaar Agrawalla (uphaar) it works fine

Thanks

tdail2011 (tdail2011) wrote :

C68 [GeForce 7050 PV / nForce 630a] with same issues following upgrade to 12.04 LTS.

Followed #171, and Unity 3D now works using driver 295.49. Reminder for noobs like me: After adding the precise-proposed repository, be sure to update package lists with sudo apt-get update.

Many thanks!

Tommy_CZ (t-kijas) wrote :

Hi, I just tried it and upgrade to newest beta NVIDIA drivers hasn't resolved it. BUT when I create a new user, 3D Unity works like a charm.

Evan R (evan-gowfb) wrote :

@Ricardo: it's still 295.40

I installed the drivers again in System Settings -> Additional Drivers, it's still 295.40. I also ran an update, that didn't change anything. When will this be updated to 295.49?

It's fine with one display but with dual display compiz crashes in unity 3d, unity 2d works..

Uphaar Agrawalla (uphaar) wrote :

Evan,

As mentioned in #135, you need to enable precise-proposed to get the fix at the moment. This is not an untrusted source, it is an official Ubuntu source. See the following links for more information, and how to enable it:
https://help.ubuntu.com/community/UbuntuUpdates
https://wiki.ubuntu.com/Testing/EnableProposed

I don't know why this is not in the main repository yet - as most people have had success, and some have had no effect - it hasn't made anything worse for anyone. Someone like Martin Pitt who approved this into -proposed should be able to comment on that.

Zippert (daniel-zippert) wrote :

No 3d with
Ubuntu 12.04 64bit
Nvidia 295.49 driver
NVIDIA Corporation G72M [GeForce Go 7400] (rev a1)

Well, I don't know why people can't install version 295.49. But anyway, it seems that there is a new version: today my driver was updated to version 295.53! Is that right?
I have a GeForce Go 6150 and both drivers (295.49 and 295.53) are working fine. Ubuntu 12.04 64-bits.

Abhishek Kharvadi (abhihello) wrote :

Any idea when the fix will be released for the 32-bit version?

Zippert (daniel-zippert) wrote :

#180

295.49 seams to be the latest one on the Ubuntu main server.

angus (angus-post) wrote :

I have updated to the new 295.53 driver via the normal ubuntu precise update process yesterday so it must have been rolled out to the repositories....unfortunately it has not resolved my problem. If I login to 3D unity I just get a black screen with a movable cursor. Gnome3 does however work which is how I'm getting by right now. My card is an NVIDIA GEFORCE 7100 /nforce 6300i.
This is so frustrating...! Much longer and I'll probably downgrade to 11.10 which worked fine.

Installing 295.53 changes nothing. X-session freezes very soon. I think that my bug has nothing to do with Unity, because in same machine same problem is with OpenSUSE 12.1 KDE enviroment. There must be something in xorg or kernel or nvidia driver.

madbiologist (me-again) wrote :

@ Abhishek Kharvadi (abhihello) - the fix for the 32-bit version will be released at the same time as the fix for the 64-bit version. I'm not sure when that will be though. Martin Pitt probably knows. If you want to get it before then see https://wiki.ubuntu.com/Testing/EnableProposed

@ everybody - NVIDIA has indeed released a new driver, version 295.53 - see http://www.phoronix.com/scan.php?page=news_item&px=MTEwMzk
However it is not packaged in the normal (recommended) Ubuntu repositories yet - see https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-updates
It is also not in proposed yet - see the above link and http://people.canonical.com/~ubuntu-archive/pending-sru.html
This of course doesn't matter too much as the fix for this bug is in 295.49.

I have just found out why 295.49-0ubuntu0.1 has not migrated from -proposed to the normal (recommended) repository - according to http://people.canonical.com/~ubuntu-archive/pending-sru.html it is being held up by bug #982710 which is still awaiting verification of a fix in 295.49-0ubuntu0.1

madbiologist (me-again) wrote :

@ angus - given the number of people who have reported that 295.49 has fixed their problem, it is probable that you have a different bug, particularly if using a different output connector on your computer works (can you try that?). I suggest that you use the ubuntu-bug tool to file a new bug.

Colin Watson (cjwatson) on 2012-05-18
Changed in nvidia-graphics-drivers-updates (Ubuntu Precise):
status: Fix Released → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-updates - 295.49-0ubuntu0.1

---------------
nvidia-graphics-drivers-updates (295.49-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release:
    - Added support for the following GPU:
      o GeForce GTX 690
    - Fixed a problem where starting, stopping, and moving
      OpenGL application windows was very slow on Quadro
      FX 4600, Quadro FX 5600, GeForce 8800 GTX, GeForce
      8800 GTS, and GeForce 8800 Ultra (LP: #982710).
    - Fixed an OpenGL performance regression which
      affected Geforce 6 and Geforce 7 series integrated
      GPUs (LP: #982485).
 -- Alberto Milone <email address hidden> Fri, 04 May 2012 16:42:10 +0200

Changed in nvidia-graphics-drivers-updates (Ubuntu Precise):
status: Fix Committed → Fix Released
angus (angus-post) wrote :

@ madbiologist - yep it could be something else but what??....I don't understand what you meant about using a different output connector? I think i will file a new bug as you suggest. Thanks

Evan R (evan-gowfb) wrote :

ugh... compiz still crashes on startup even with 295.49, time to install GNOME I guess. I like unity 3d but it's annoying having even webpages with flash freeze randomly while using the "default" driver, and unity 3d is not usable with nvidia driver.

Evan R (evan-gowfb) wrote :

gnome works fine.. compiz crashes in unity 3d with two displays (seems to work with only one display, though)

Zippert (daniel-zippert) wrote :

It seams that my card was still blacklisted, after forcing unity to start all works perfectly good. so whats the point to have the 7400 card still blacklisted?

zippert@12:~$ /usr/lib/nux/unity_support_test -p
OpenGL vendor string: NVIDIA Corporation
OpenGL renderer string: GeForce Go 7400/PCIe/SSE2
OpenGL version string: 2.1.2 NVIDIA 295.49

Not software rendered: yes
Not blacklisted: no
GLX fbconfig: yes
GLX texture from pixmap: yes
GL npot or rect textures: yes
GL vertex program: yes
GL fragment program: yes
GL vertex buffer object: yes
GL framebuffer object: yes
GL version is 1.4+: yes

Unity 3D supported: no
zippert@12:~$

I use this to make 3d mode start.
    sudo nano /etc/environment
    add: UNITY_FORCE_START=1
    Save the file with Ctrl+S
    reboot

robin (robins) wrote :

Hey guys,
Good news for those on GeForce GT 230/PCIe/SSE2 the latest beta update 302.11 with nvidia-settings v295.53 (lock version in synaptic).

I switched to xedgers ppa, so please do this at your own risk!

good luck all

robin (robins) wrote :

Edit: Sorry for posting on this issue again but it seems like my previous #192 comment by premature, the X crashing issue is back. It seemed for a while that things might be ok but now atleast 4 crashes happen every hour.

Matt (mattcbro) wrote :

I upgraded to 295.53. This causes X to fail entirely. I can't even boot into any graphical version of Ubuntu with this driver, let alone run compiz. I'm running an Nvidia gtx 280 card. So far my only relief is to run the beta driver 302.07. I might try 302.11 if that's out.

Don Myers (donmyers) wrote :

I've upgraded two computers to 295.49, and one to 295.53 and have tested them for about a week. There have not been any issues with any of them.

Bryce Harrington (bryce) wrote :

Guys, this bug report is now closed. I would advise switching to UbuntuForums or askubuntu for continued discussion about NVIDIA driver issues.

Tommy_CZ (t-kijas) wrote :

Bryce: Are you joking? This bug still exists and affects a lot of people, even after upgrade to newer drivers.
nity_support_test -p
OpenGL vendor string: NVIDIA Corporation
OpenGL renderer string: GeForce GT 240M/PCIe/SSE2
OpenGL version string: 3.3.0 NVIDIA 302.11

Not software rendered: yes
Not blacklisted: yes
GLX fbconfig: yes
GLX texture from pixmap: yes
GL npot or rect textures: yes
GL vertex program: yes
GL fragment program: yes
GL vertex buffer object: yes
GL framebuffer object: yes
GL version is 1.4+: yes

Unity 3D supported: yes
tom@tom-Lenovo-IdeaPad-Y550P:~$
But Unity 3D doesn't start. All I can see is desktop with icons. No compiz, no bars, no decorations.

Tommy, it seems it's obvious to everyone but you that you're seeing a different problem entirely. This bug was in regards to a regression in 295.40 that I can personally vouch has been fixed in 295.49.

Ken McLean (kenmclean) wrote :

I too am still experiencing the same problems caused by a regression on upgrade to Precise. If I force 3D unity to be loaded on startup all I get is my wallpaper after login. I can't see how this could possibly be a different issue.

Ken McLean (kenmclean) wrote :

Well, I apologise, I was wrong. I managed to fix my problem.

When running unity_support_test -p I was receiving "Error: no composite extension".

I ran:
sudo nvidia-xconfig --composite

Rebooted

and now I am running Unity 3D.

Hopefully this helps someone else.

Peti (woelfter) wrote :

I am experiencing the same problem described in #199 when I add

UNITY_FORCE_START=1

to /etc/environment. Without this setting, only unity2d is starting with nvidia GeForce 7300.

I have tried almost all suggestions and drivers, even 302.11 from edgers repository, but no change at all.

I am very disappointed because with same hardware ubuntu 10.04 was working like a charme, even 3d. Will this problem be fixed? When? Is there a work-around?

madbiologist (me-again) wrote :

@Peti - You say "I have tried almost all suggestions and drivers", so I assume that you have tried running "sudo nvidia-xconfig --composite" and then rebooting.

Please open a new bug report by using the ubuntu-bug tool and attach the output of unity_support_test -p
You can link to the new bug report here if you like.

Peti (woelfter) wrote :

I have added output of unity_support_test -p and description to Bug #1001539.

h3 (h3) wrote :

Same problem here .. Fortunately "sudo nvidia-xconfig --composite" / reboot fixed it.

Abhishek Kharvadi (abhihello) wrote :

Maybe I am wrong or just plain stupid, but I did a fresh install of Ubuntu 12.04 precise 32-bit and selected "Install Third party" thingy and I still get the driver 295.40 in the NVIDIA-XCONFIG. Am I doing something wrong? If the fix is released, then should I not get 295.49 instead of .40?

I haven't tried any of the suggestions above as I do not know how to install the beta driver 302.xx and by default I am not seeing the 295.49 driver yet in my system.

I think I am doing something wrong here.

Thanks,
Abhishek

madbiologist (me-again) wrote :

@Abhishek - Try opening a terminal window and running "sudo apt-get update" (without the quotation marks).

If that doesn't help, just install 295.40 and then run Update Manager to get 295.49.

Abhishek Kharvadi (abhihello) wrote :

@madbiologist: Tried that, but no success. Finally, was able to find this link and it worked like a charm. Seems we need to install a ppa to replace the current driver. Although, I must say that Unity is very very slow to respond in the current driver, nigh unusable. Have switched to Gnome-Shell right now, which looks good :)

http://ashu-geek.blogspot.in/2012/05/nvidia-29549-released-with-support-for.html

Thank you for your help, madbiologist :)

Abhishek

madbiologist (me-again) wrote :

@Abhishek - I'm glad that worked for you, but it shouldn't be necessary. Other people in this bug didn't need to do that. (That page in the link you provided was published before 295.49 was available in -updates - see https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-updates/+publishinghistory )

I think something may be seriously wrong with your 12.04 installation. Have you been offered any other updates since installation? If not, run Update Manager from the Software Centre manually. If it has no updates, you should file a new bug using the ubuntu-bug tool.

Don Myers (donmyers) wrote :

I have a secondary computer at the office which is not used frequently. I was using it the last few days last week. It had a clean, updated install of 12.04 64 bit. The video performancwe was very laggy. So I took a look at what it had for video. It was nvidia, and thew 295-40 driver was installed. In synaptic, as of Friday, the current nvidia driver available through the repositories was 295-40. I ended up using the swat 295-53 driver, and the video improved sigfnigicantly.

madbiologist (me-again) wrote :

@Don - what was the exact name of the package in Synaptic?

Don Myers (donmyers) wrote :

I will need to get back to you tomorrow. That computer is in my office.
Sorry!

On 06/03/2012 09:09 AM, madbiologist wrote:
> @Don - what was the exact name of the package in Synaptic?
>

--

*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*
Don C. Myers
e-PRO Certified by the National Association of Realtors
Manager, Farm and Rural Property Division
*Coldwell Banker University Realty
*126 East Foster Avenue, State College, PA 16801
Phone: 814-237-6543 Fax: 814-237-6502
Visit the Farm and Rural Property Division Website at
www.cbur-ruralproperty.com <http://www.cbur-ruralproperty.com/>_
_View Don's farm website: www.myersfarm.com <http://www.myersfarm.com/>
*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*

Abhishek Kharvadi (abhihello) wrote :

@madbiologist: Since the release is committed, I should have received
295.53 by default when I checked "Install 3rd party" software. What I
received was 295.40 and even after updates, it was still the same. It
never upgraded to 295.53 even from update manager (it showed it is
up-to-date).

All other updates worked fine (I received Firefox update as well as
other updates just fine from the update manager). The article you
mentioned worked for me and installed 295.53. However, Unity3D is still
very slow for me. I have a 6150 Nvidia card.

If no other users are experiencing this, then I will file a bug.

Regards,
Abhishek

On Sunday 03 June 2012 11:33 PM, Don Myers wrote:
> I will need to get back to you tomorrow. That computer is in my office.
> Sorry!
>
> On 06/03/2012 09:09 AM, madbiologist wrote:
>> @Don - what was the exact name of the package in Synaptic?
>>
> --
>
> *~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*
> Don C. Myers
> e-PRO Certified by the National Association of Realtors
> Manager, Farm and Rural Property Division
> *Coldwell Banker University Realty
> *126 East Foster Avenue, State College, PA 16801
> Phone: 814-237-6543 Fax: 814-237-6502
> Visit the Farm and Rural Property Division Website at
> www.cbur-ruralproperty.com<http://www.cbur-ruralproperty.com/>_
> _View Don's farm website: www.myersfarm.com<http://www.myersfarm.com/>
> *~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*
>

Don Myers (donmyers) wrote :

Hi,

Attached are two screen shots from Synaptic. I'll insert them here also,
but I'm not sure they will display in the body of the response on the board.
Nvidia 1

I locked the 295.53 driver once it was installed. Before I installed
that driver, nvidia-current was 295.40 and it showed as the installed
driver. This computer did not have the issues that were described in
this bug. There are three computers (one a co-workers, and two belonging
to my brother) which did. I upgraded those all to either 295.49 or
295.53 two to three weeks ago using swat. I also locked those drivers on
those machines. This computer I did the end of last week was working
really laggy with the video. I actually didn't check what it had for
video until I got tired of it being so laggy last week. While this
computer is not used frequently (it is a back up to my main system and I
primarily use it to upload video while I'm editing video on my main
computer) a couple of times each week I do boot it and apply upgrades.
It was completely upgraded when I did the 295.53 install the end of last
week, and as I said above, 295.40 showed as the installed driver.

Here is the second screen shot from Synaptic:
Nvidia 2

It does show 295.49 in two nvidia packages, but none of these, if they
were here last week, had installed and overwritten the 295.40
nvidia-current package.

Please let me know if I can be of further help.

Don

On 06/03/2012 09:09 AM, madbiologist wrote:
> @Don - what was the exact name of the package in Synaptic?
>

--

*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*
Don C. Myers
e-PRO Certified by the National Association of Realtors
Manager, Farm and Rural Property Division
*Coldwell Banker University Realty
*126 East Foster Avenue, State College, PA 16801
Office Phone: 814-237-6543 Fax: 814-237-6502
Home Phone: 814-422-8111 Cell Phone: 814-571-9518
Visit the Farm and Rural Property Division Web Site at
_www.cbur-ruralproperty.com <http://www.cbur-ruralproperty.com/>
_View Don's Farm Web Site at www.myersfarm.com <http://www.myersfarm.com/>
*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*

madbiologist (me-again) wrote :

Thanks Don. Your screenshots are not attached though. Can you login to Launchpad directly (as you did in comment #209) and attach the files using the "Add attachment or patch" link at the bottom of the page?

It is hard to be sure from your description alone, but it sounds like you are monitoring and upgrading the nvidia-current package. The package that is getting updates is nvidia-current-updates. The screenshots should clarify this.

Don Myers (donmyers) wrote :

Sorry!!!!!! Attached are the screen shots for 214. You are correct in your assumption about following the nvidia-current package. Should the updates have automatically switched from nvidia-current to nvidia-current-updates? It looks like I can only do one attachemtn, but I tried to do both. The first one if two don't show up showed the 295.53 driver as the installed driver and I locked it.

Don Myers (donmyers) wrote :

I don't see an attachment again!!!!!! Sorry. I will try again!!!!!!

madbiologist (me-again) wrote :

You can only attach one file at a time in Launchpad.

I'm not 100% sure if the updates should have automatically switched from nvidia-current to nvidia-current-updates, but I think they should have, base on other people's experiences (I don't own an NVIDIA card). Installing packages from the X Updates (x-swat) PPA may prevent this from occurring but you got a very similar package for that PPA anyway and it is working for you now, which is the main thing.

I understand that you have locked the driver version in Synaptic to prevent being downgraded back to 295.40. You may want to remove the lock when driver version 302.xx hits that PPA, install it and then lock the version again. 302.11 beta is available for testing now (but not in that PPA), the final 302.xx driver will have a higher version suffix.

Don Myers (donmyers) wrote :

Thank you so much for your input. I will keep an eye out for the 302.xx
version.

On 06/05/2012 06:27 AM, madbiologist wrote:
> You can only attach one file at a time in Launchpad.
>
> I'm not 100% sure if the updates should have automatically switched from
> nvidia-current to nvidia-current-updates, but I think they should have,
> base on other people's experiences (I don't own an NVIDIA card).
> Installing packages from the X Updates (x-swat) PPA may prevent this
> from occurring but you got a very similar package for that PPA anyway
> and it is working for you now, which is the main thing.
>
> I understand that you have locked the driver version in Synaptic to
> prevent being downgraded back to 295.40. You may want to remove the
> lock when driver version 302.xx hits that PPA, install it and then lock
> the version again. 302.11 beta is available for testing now (but not in
> that PPA), the final 302.xx driver will have a higher version suffix.
>

--

*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*
Don C. Myers
e-PRO Certified by the National Association of Realtors
Manager, Farm and Rural Property Division
*Coldwell Banker University Realty
*126 East Foster Avenue, State College, PA 16801
Office Phone: 814-237-6543 Fax: 814-237-6502
Home Phone: 814-422-8111 Cell Phone: 814-571-9518
Visit the Farm and Rural Property Division Web Site at
_www.cbur-ruralproperty.com <http://www.cbur-ruralproperty.com/>
_View Don's Farm Web Site at www.myersfarm.com <http://www.myersfarm.com/>
*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*

Matt (mattcbro) wrote :

This bug is so frustrating. I really don't want to switch distro's since it's such a headache installing all my software and configuring everything. Yet every time Ubuntu upgrades their nvidia drivers or does anything that touches X my computer becomes unbootable and I have to install the v. 302.11 beta drivers again. (After going through the very non-user friendly twice repeated Grub recovery menu.)

I still get this behavior even after running the command

echo "nvidia-current hold" | sudo dpkg --set-selections

mentioned above for locking out the driver, and even though I have uninstalled compiz, since that causes an immediate crash. Basically compiz no longer works for my gtx 280 card and for now I've given up hope that it ever will.

Don Myers (donmyers) wrote :

Matt,

I upgraded 4 computers using the drivers from swat 4 to 6 weeks ago. Three have 295.49, and one has 295.53. The 295.40 driver was nvidia-current. The swat drivers replace the driver in nvidia-current, which was 295.40 originally. I locked the nvidia-current from swat using synaptic and no updates have changed the driver on any of these computers. I understand that the 295.49 driver is in nvidia-current-upgrades and not in nvidia-current. One nvidia 6500 card worked perfectly in Ubuntu 11.04 and earlier. This is a backup computer. In 11.10 when I would do something, it always seemed to be a little sluggish. With the 294.40 driver in Ubuntu 12.04 it was worse. The 295.53 driver improved things a lot, but it srtill wasn't right. A week ago I went looking for a video card to replace it. I got a relly good ATI card for $24 That is a much, much better card than I had. The computer works great now.

Don

Issue still there on quantal with nvidia 304.51 (log out issues).

I've reproduced on Gnome with compiz and LXDE with metacity and openbox.

Daniel van Vugt (vanvugt) wrote :

This issue is Fix Released and only about driver 295.40

If you have any continuing or new bugs then please log a new bug using this command:
    ubuntu-bug unity

To post a comment you must log in.